> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a custom ratekey for conversion

> Create a custom rate key to complete a conversion transaction.



## OpenAPI

````yaml post /convert/preorder
openapi: 3.0.3
info:
  title: GetPartna Api Documentation
  version: '3.0'
servers:
  - url: https://staging-api.getpartna.com/v4
  - url: https://api.getpartna.com/v4
security:
  - x-api-key: []
    x-api-user: []
  - authorization: []
tags:
  - description: user endpoints
    name: User
  - description: account endpoints
    name: Account
  - description: transfer endpoints
    name: Transfer
  - description: supported assets and networks
    name: Supported
  - description: discount endpoints
    name: Discount
  - description: rate endpoints
    name: Rate
  - description: KYC endpoints
    name: KYC
  - description: Multi-Factor Authentication endpoints
    name: MFA
  - description: ramp endpoints
    name: Ramp
  - description: pricing endpoints
    name: Pricing
  - description: banks
    name: Bank
  - description: mock endpoints for testing
    name: Mock
paths:
  /convert/preorder:
    post:
      tags:
        - Rate
      summary: Create a custom ratekey for conversion
      description: Create a custom rate key to complete a conversion transaction.
      operationId: post-convert-preorder
      requestBody:
        content:
          application/json:
            schema:
              example:
                accountName: ''
                fromAmount: 0
                rateKey: ''
                transactionReference: ''
              properties:
                accountName:
                  type: string
                fromAmount:
                  type: number
                rateKey:
                  type: string
                transactionReference:
                  type: string
              required:
                - rateKey
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                example:
                  data:
                    transactionReference: bbcdef2234567890abcdef1234568491
                  message: success
                properties:
                  data:
                    properties:
                      transactionReference:
                        type: string
                    type: object
                  message:
                    type: string
                type: object
          description: post convert preorder ok
      security:
        - x-api-key: []
          x-api-user: []
        - authorization: []
components:
  securitySchemes:
    x-api-key:
      in: header
      name: x-api-key
      type: apiKey
    x-api-user:
      in: header
      name: x-api-user
      type: apiKey
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````